Page 1 of 1

Neuinstallation, PHP Error bei Login

Posted: Fri 24. Jun 2016, 19:40
by MicZilla
Hallo,

Ich konnte Runalyze testen und bin begeistert!
Daher habe ich gleich eine Installation auf meinem Webserver durchgeführt (mit 2.6.1 und für einen zweiten Test mit 2.5.3).
Die Installation lief ohne Fehler durch, ich komme auch auf die Admin Seite und konnte mich registrieren.

Beim Login bleibt die Seite weiß und folgende Meldung erscheint im error log:

Code: Select all

Fri Jun 24 18:39:32.244499 2016] [php5:error] [pid 1560] [client IP-ADRESSE:49558] PHP Fatal error:  Uncaught exception 'PDOException' with message 'SQLSTATE[22001]: String data, right truncated: 1406 Data too long for column 'session_id' at row 1' in /srv/www/htdocs/runalyze/inc/system/class.PDOforRunalyze.php:270\nStack trace:\n#0 /srv/www/htdocs/runalyze/inc/system/class.PDOforRunalyze.php(270): PDO->query('UPDATE `runalyz...')\n#1 /srv/www/htdocs/runalyze/inc/system/class.PDOforRunalyze.php(141): PDOforRunalyze->query('UPDATE `runalyz...')\n#2 /srv/www/htdocs/runalyze/inc/system/class.PDOforRunalyze.php(119): PDOforRunalyze->updateWhere('account', '`id`="1" LIMIT ...', Array, Array)\n#3 /srv/www/htdocs/runalyze/inc/system/class.SessionAccountHandler.php(285): PDOforRunalyze->update('account', '1', Array, Array)\n#4 /srv/www/htdocs/runalyze/inc/system/class.SessionAccountHandler.php(259): SessionAccountHandler->setSessionToDatabase()\n#5 /srv/www/htdocs/runalyze/inc/system/class.SessionAccountHandler.php(195): SessionAccountHandler->setSession()\n#6 /srv/www/htdocs/runalyze/inc/system/class.SessionAccountHandler. in /srv/www/htdocs/runalyze/inc/system/class.PDOforRunalyze.php on line 270, referer: http://ADRESSE/runalyze/login.php
Habe ich etwas falsch gemacht :?:

opensuse Leap 42.1
Apache 2.4.16
MariaDB 10.0.22
PHP 5.5.14

Michael

Re: Neuinstallation, PHP Error bei Login

Posted: Fri 24. Jun 2016, 20:46
by mipapo
Uns ist in der Systemkombination nichts bekannt. Keine Ahnung warum die Sessionid länger sein soll als normal.
Einen Bug mit opensuse leap und PHP/apache konnte ich auch nicht finden